Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class InnerClasses

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.InnerClasses

All Implemented Interfaces:
  Serializable, Cloneable

    public final class InnerClasses

extends Attribute

This class is derived from Attribute and denotes that this class is an Inner class of another. to the source file of this class. It is instantiated from the Attribute.readAttribute() method.

Version:
  $Id: InnerClasses.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Attribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`InnerClasses(int name_index, int length, InnerClass[] inner_classes, ConstantPool constant_pool)`

Method Summary
`Attribute` `copy(ConstantPool _constant_pool)`
`void` `setInnerClasses(InnerClass[] inner_classes)`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InnerClasses

    public InnerClasses(int name_index,
                        int length,
                        InnerClass[] inner_classes,
                        ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to CONSTANT_Utf8
  `length` - Content length in bytes
  `inner_classes` - array of inner classes attributes
  `constant_pool` - Array of constants

Method Detail

### setInnerClasses

    public final void setInnerClasses(InnerClass[] inner_classes)

  Parameters:
    `inner_classes` - the array of inner classes

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.